## imcode.server.document
Class DirectDocumentReference

    java.lang.Object
      imcode.server.document.DocumentReference
          imcode.server.document.DirectDocumentReference

All Implemented Interfaces:
  java.io.Serializable

    public class DirectDocumentReference

extends DocumentReference

See Also:
  Serialized Form

Constructor Summary
`DirectDocumentReference(DocumentDomainObject document)`

Method Summary
`DocumentDomainObject` `getDocument()`

Methods inherited from class imcode.server.document.DocumentReference
`equals, getDocumentId, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectDocumentReference

    public DirectDocumentReference(DocumentDomainObject document)

Method Detail

### getDocument

    public DocumentDomainObject getDocument()

  Specified by:
    `getDocument` in class `DocumentReference`